Skip to content
Start here

Delete Event Subscription

queues.subscriptions.delete(strsubscription_id, SubscriptionDeleteParams**kwargs) -> SubscriptionDeleteResponse
DELETE/accounts/{account_id}/event_subscriptions/subscriptions/{subscription_id}

Delete an existing event subscription

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
account_id: str

A Resource identifier.

maxLength32
subscription_id: str

A Resource identifier.

maxLength32
ReturnsExpand Collapse
class SubscriptionDeleteResponse:
id: str

Unique identifier for the subscription

created_at: datetime

When the subscription was created

formatdate-time
destination: Destination

Destination configuration for the subscription

queue_id: str

ID of the target queue

type: Literal["queues.queue"]

Type of destination

enabled: bool

Whether the subscription is active

events: List[str]

List of event types this subscription handles

modified_at: datetime

When the subscription was last modified

formatdate-time
name: str

Name of the subscription

source: Source

Source configuration for the subscription

One of the following:
class SourceMqEventSourceImages:
type: Optional[Literal["images"]]

Type of source

class SourceMqEventSourceKV:
type: Optional[Literal["kv"]]

Type of source

class SourceMqEventSourceR2:
type: Optional[Literal["r2"]]

Type of source

class SourceMqEventSourceSuperSlurper:
type: Optional[Literal["superSlurper"]]

Type of source

class SourceMqEventSourceVectorize:
type: Optional[Literal["vectorize"]]

Type of source

class SourceMqEventSourceWorkersAIModel:
model_name: Optional[str]

Name of the Workers AI model

type: Optional[Literal["workersAi.model"]]

Type of source

class SourceMqEventSourceWorkersBuildsWorker:
type: Optional[Literal["workersBuilds.worker"]]

Type of source

worker_name: Optional[str]

Name of the worker

class SourceMqEventSourceWorkflowsWorkflow:
type: Optional[Literal["workflows.workflow"]]

Type of source

workflow_name: Optional[str]

Name of the workflow

Delete Event Subscription

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
subscription = client.queues.subscriptions.delete(
    subscription_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(subscription.id)
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "destination": {
      "queue_id": "queue_id",
      "type": "queues.queue"
    },
    "enabled": true,
    "events": [
      "string"
    ],
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "source": {
      "type": "images"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "destination": {
      "queue_id": "queue_id",
      "type": "queues.queue"
    },
    "enabled": true,
    "events": [
      "string"
    ],
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "source": {
      "type": "images"
    }
  },
  "success": true
}